---
pagination_prev: getting-started/index
sidebar_position: 1
hide_table_of_contents: true
---

# Demo Projects

The demo projects include small runnable examples and short explainers.

### JavaScript APIs

- [`XMLHttpRequest and fetch`](./network)
- [`Clipboard Data`](./clipboard)
- [`Typed Arrays for Machine Learning`](./ml)
- [`LocalStorage and SessionStorage`](./database#localstorage-and-sessionstorage)
- [`Web SQL Database`](./database#websql)
- [`IndexedDB`](./database#indexeddb)
- [`Local File Access`](./localfile)

### Frameworks

- [`Angular`](./angular)
- [`React`](./react)
- [`VueJS`](./vue)
- [`Angular.JS`](./legacy#angularjs)
- [`Knockout`](./legacy#knockout)

### Front-End UI Components

- [`canvas-datagrid`](./grid#canvas-datagrid)
- [`x-spreadsheet`](./grid#x-spreadsheet)
- [`react-data-grid`](./grid#react-data-grid)
- [`vue3-table-lite`](./grid#vue3-table-lite)
- [`angular-ui-grid`](./grid#angular-ui-grid)

### Platforms and Integrations

- [`Command-Line Tools`](./cli)
- [`iOS and Android Mobile Applications`](./mobile)
- [`NodeJS Server-Side Processing`](./server#nodejs)
- [`Deno Server-Side Processing`](./server#deno)
- [`Content Management and Static Sites`](./content)
- [`Electron`](./desktop#electron)
- [`NW.js`](./desktop#nwjs)
- [`Tauri`](./desktop#tauri)
- [`Chrome and Chromium Extensions`](./chromium)
- [`Google Sheets API`](./gsheet)
- [`ExtendScript for Adobe Apps`](./extendscript)
- [`NetSuite SuiteScript`](./netsuite)
- [`SalesForce Lightning Web Components`](./salesforce)
- [`Excel JavaScript API`](./excel)
- [`Headless Automation`](./headless)
- [`Other JavaScript Engines`](./engines)
- [`Azure Functions and Storage`](./azure)
- [`Amazon Web Services`](./aws)
- [`Databases and Structured Data Stores`](./database)
- [`NoSQL and Unstructured Data Stores`](./nosql)
- [`Legacy Internet Explorer`](./legacy#internet-explorer)

### Bundlers and Tooling

- [`browserify`](./bundler#browserify)
- [`bun`](./bundler#bun)
- [`esbuild`](./bundler#esbuild)
- [`parcel`](./bundler#parcel)
- [`requirejs`](./bundler#requirejs)
- [`rollup`](./bundler#rollup)
- [`snowpack`](./bundler#snowpack)
- [`swc`](./bundler#swc)
- [`systemjs`](./bundler#systemjs)
- [`vite`](./bundler#vite)
- [`webpack`](./bundler#webpack)
- [`wmr`](./bundler#wmr)

:::note

If a demo for a library or framework is not included here, please leave a note.

:::
